## ros-noetic-route-network 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(route_network)

# list catkin dependencies
set(_ROS_PKG_DEPS
    dynamic_reconfigure
    geodesy
    geographic_msgs
    geometry_msgs
    nav_msgs
    rospy
    visualization_msgs)


# Find catkin macros and libraries, also other catkin packages.
find_package(catkin REQUIRED COMPONENTS ${_ROS_PKG_DEPS})
include_directories(include ${catkin_INCLUDE_DIRS})
catkin_python_setup()

# auto-generate dynamic reconfiguration GUI: before catkin_package()
# and after catkin_python_setup().
generate_dynamic_reconfigure_options(cfg/RouteNetwork.cfg)

catkin_package(CATKIN_DEPENDS ${_ROS_PKG_DEPS})

install(DIRECTORY scripts/
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        USE_SOURCE_PERMISSIONS)

install(DIRECTORY launch/ 
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

# unit tests
if (CATKIN_ENABLE_TESTING)
  
  find_package(catkin REQUIRED rostest roslaunch)

  add_rostest(tests/planner.test)

  roslaunch_add_file_check(launch)

endif (CATKIN_ENABLE_TESTING)

=== debian/changelog ===
ros-noetic-route-network (0.3.0-1focal) focal; urgency=high

  * Migrate to Noetic
  * Contributors: Bence Magyar

 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 02 Jun 2021 23:00:00 -0000

ros-noetic-route-network (0.2.5-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 14 Jan 2020 00:00:00 -0000

ros-noetic-route-network (0.2.4-1focal) focal; urgency=high

  * Convert to package xml format 2 and add launch file dependencies
  * Create new launch file to start all the needed nodes to plan on a map.
  * Update to use the original version of the GeoPath msg and the new version of the GetGeoPath srv.
  * Complete function documentation/comments for the new features.
  * Add an RVIZ interface to plan and directly select start and goal positions by clicking on the map.
  * Add the possibility to plan from and to geographic points that are not nodes of the graph, but rather lie nearby.
  * Contributors: Bence Magyar, Diego Ramos

 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 06 Dec 2017 00:00:00 -0000

ros-noetic-route-network (0.2.3-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 11 Oct 2015 23:00:00 -0000

ros-noetic-route-network (0.2.2-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 07 Oct 2015 23:00:00 -0000

ros-noetic-route-network (0.2.1-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 23 Sep 2013 23:00:00 -0000

ros-noetic-route-network (0.2.0-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 17 Sep 2013 23:00:00 -0000

ros-noetic-route-network (0.1.0-1focal) focal; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sun, 15 Jul 2012 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-route-network
Section: misc
Priority: optional
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-dynamic-reconfigure, ros-noetic-geodesy, ros-noetic-geographic-msgs, ros-noetic-geometry-msgs, ros-noetic-nav-msgs, ros-noetic-roslaunch, ros-noetic-rospy, ros-noetic-rostest, ros-noetic-visualization-msgs
Homepage: http://ros.org/wiki/route_network
Standards-Version: 3.9.2

Package: ros-noetic-route-network
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-dynamic-reconfigure, ros-noetic-geodesy, ros-noetic-geographic-msgs, ros-noetic-geometry-msgs, ros-noetic-nav-msgs, ros-noetic-rospy, ros-noetic-visualization-msgs
Description: Route network graphing and path planning.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-route-network//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
